Package com.tibco.patterns.dedupe_utils

## Class CursorQuerySource

- java.lang.Object
- - com.tibco.patterns.deduplication.NetricsRecQuerySource
  - - com.tibco.patterns.dedupe_utils.CursorQuerySource

- All Implemented Interfaces:
    `KeyedQuerySource`
  Direct Known Subclasses:
    `JoinsetQuerySource`, `TableQuerySource`

      public class CursorQuerySource
      extends NetricsRecQuerySource

  A query source that uses a table cursor. This allows us to capture and expose the cursor being used.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CursorQuerySource​(com.netrics.likeit.NetricsTableCursor cursor, boolean is_compound_src, com.netrics.likeit.NetricsServerInterface host, QueryBuilder<KeyedNetricsRecord> query_builder)` | Create a query source from a TIBCO Patterns - Search table read from a specified interface.
    `CursorQuerySource​(com.netrics.likeit.NetricsTableCursor cursor, boolean is_compound_src, java.lang.String host_address, int host_port, QueryBuilder<KeyedNetricsRecord> query_builder)` | Create a query source from a TIBCO Patterns - Search table at a specified host and port.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.netrics.likeit.NetricsTableCursor` | `getCursor()` |

    - ### Methods inherited from class com.tibco.patterns.deduplication.NetricsRecQuerySource

      `getPosition, getQueriesProduced, getQueryLimit, isEOS, next, setQueryLimit`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CursorQuerySource

          public CursorQuerySource​(com.netrics.likeit.NetricsTableCursor cursor,
                                   boolean is_compound_src,
                                   java.lang.String host_address,
                                   int host_port,
                                   QueryBuilder<KeyedNetricsRecord> query_builder)

      Create a query source from a TIBCO Patterns - Search table at a specified host and port.
      Parameters:
        `cursor` - The cursor to scan
        `is_compound_src` - set to true if this source generates compound records.
        `host_address` - Address (DNS name or IP Address) of the TIBCO Patterns - Search host.
        `host_port` - TCP port of the TIBCO Patterns Search host.
        `query_builder` - Defines how to build the KeyedQuery from a compound record.

    - #### CursorQuerySource

          public CursorQuerySource​(com.netrics.likeit.NetricsTableCursor cursor,
                                   boolean is_compound_src,
                                   com.netrics.likeit.NetricsServerInterface host,
                                   QueryBuilder<KeyedNetricsRecord> query_builder)

      Create a query source from a TIBCO Patterns - Search table read from a specified interface.
      Parameters:
        `cursor` - The cursor to scan
        `is_compound_src` - set to true if this source generates compound records.
        `host` - a TIBCO Patterns Search host.
        `query_builder` - Defines how to build the KeyedQuery from a compound record.

  - ### Method Detail

    - #### getCursor

          public com.netrics.likeit.NetricsTableCursor getCursor()

      Returns:
        the underlying cursor